Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.ajp
Class AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P extends AbstractAjpProcessor<S>>

    java.lang.Object
      org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<S,P>
          org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P>

All Implemented Interfaces:
  AbstractEndpoint.Handler

Direct Known Subclasses:
  AjpAprProtocol.AjpConnectionHandler, AjpNioProtocol.AjpConnectionHandler, AjpProtocol.AjpConnectionHandler

Enclosing class:
  AbstractAjpProtocol

    protected abstract static class AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P extends AbstractAjpProcessor<S>>

extends AbstractProtocol.AbstractConnectionHandler<S,P>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler
`AbstractEndpoint.Handler.SocketState`

Field Summary

Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler
`connections, global, recycledProcessors, registerCount`

Constructor Summary
`protected` | `AbstractAjpProtocol.AbstractAjpConnectionHandler()`

Method Summary
`protected P` | `createUpgradeProcessor(SocketWrapper<S> socket, UpgradeInbound inbound)`
`protected void` | `initSsl(SocketWrapper<S> socket, Processor<S> processor)`
`protected void` | `longPoll(SocketWrapper<S> socket, Processor<S> processor)`

Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler
`createProcessor, getGlobal, getLog, getProtocol, process, recycle, register, release, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAjpProtocol.AbstractAjpConnectionHandler

    protected AbstractAjpProtocol.AbstractAjpConnectionHandler()

Method Detail

### initSsl

    protected void initSsl(SocketWrapper<S> socket,
                           Processor<S> processor)

  Specified by:
    `initSsl` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

### longPoll

    protected void longPoll(SocketWrapper<S> socket,
                            Processor<S> processor)

  Specified by:
    `longPoll` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

### createUpgradeProcessor

    protected P createUpgradeProcessor(SocketWrapper<S> socket,
                                       UpgradeInbound inbound)

  Specified by:
    `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.